9 posts / 0 new
Last post
ForumImport
Offline
Last seen: 8 years 4 months ago
Joined: 09/22/2009 - 18:47
Dependencies K-3D 0.8.0.1

I build and I have warning, I think I have example new qt and this can be problem.
Where can I find dependencies for K3-D ?
Now I build, but I hope this will work :D
example:
[ 21%] Performing build step for 'qtscriptgenerator'
parser/parser.cpp:799:2: warning: #warning "implement me"
parser/parser.cpp:2346:2: warning: #warning "implement me"
parser/parser.cpp:2370:2: warning: #warning "implemente me (AST)"
parser/parser.cpp:2546:2: warning: #warning "implement me"
parser/parser.cpp:2554:2: warning: #warning "implement me"
parser/parser.cpp:3197:2: warning: #warning "mark the ast as constant"
parser/parser.cpp:3298:2: warning: #warning "Parser::skipFunctionBody() -- implement me"
parser/parser.cpp:3327:2: warning: #warning "implement me"
parser/name_compiler.cpp:83:2: warning: #warning "NameCompiler::visitUnqualifiedName() -- implement me"
parser/name_compiler.cpp:96:2: warning: #warning "don't use an hardcoded string as cast' name"
parser/declarator_compiler.cpp:133:2: warning: #warning "ptr to mem -- not implemented"
[ 21%] Performing generate-bindings step for 'qtscriptgenerator'
Please wait while source files are being generated...
WARNING(MetaJavaBuilder) :: enum 'QFont::HintingPreference' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'QSqlRelationalTableModel::JoinMode' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'QTextBlockFormat::LineHeightTypes' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'QLocale::QuotationStyle' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'QLocale::CurrencySymbolFormat' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'QLocale::Script' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: Unable to decide type of property: 'Qt::CursorMoveStyle' in class 'QLineEdit'
WARNING(MetaJavaBuilder) :: enum 'QFile::FileHandleFlag' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'QCoreApplication::enum_1' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'QWebPage::PermissionPolicy' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'QWebPage::Feature' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'Qt::CursorMoveStyle' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'QSsl::SslOption' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: enum 'enum_3' does not have a type entry or is not an enum
WARNING(MetaJavaBuilder) :: duplicate enum values: QDataStream::Version, Qt_4_8 and Qt_4_7 are 12, already rejected: (Qt_4_1, Qt_4_5, Qt_4_6)
WARNING(MetaJavaBuilder) :: duplicate enum values: Qt::MouseButton, MiddleButton and MidButton are 4, already rejected: ()
WARNING(MetaJavaBuilder) :: unhandled enum value: static_cast(Qt::MatchExactly in Qt::MatchFlag
WARNING(MetaJavaBuilder) :: unhandled enum value: Qt::MatchCaseSensitive) in Qt::MatchFlag
WARNING(MetaJavaBuilder) :: unmatched enum static_cast(Qt::MatchExactly|Qt::MatchCaseSensitive) when parsing default value of 'findData' in class 'QComboBox'
WARNING(MetaJavaBuilder) :: unmatched enum static_cast(Qt::MatchExactly|Qt::MatchCaseSensitive) when parsing default value of 'findText' in class 'QComboBox'
Classes in typesystem: 595
Generated:
- classes...: 577 (577)
- header....: 388 (388)
- impl......: 388 (388)
- modules...: 20 (20)
- pri.......: 10 (10)
Done, 20 warnings (1212 known issues)

ForumImport
Offline
Last seen: 8 years 4 months ago
Joined: 09/22/2009 - 18:47
Dependencies K-3D 0.8.0.1

OK, this looks fine, I get warnings from qtscript too. Shouldn't interfere with the functioning of the program, especially since Qt support is in pre-alpha stage.
Once the build is finished, you can test by running "make run-ngui/fast"

ForumImport
Offline
Last seen: 8 years 4 months ago
Joined: 09/22/2009 - 18:47
Dependencies K-3D 0.8.0.1

I can't finish...
I installed asciidoc package for AX2 comand
and:
[ 98%] Generating k3d-renderframe.1
a2x: ERROR: "xmllint" --nonet --noout --valid "/home/gg3/Downloads/k3d/k3d-build/share/man/man1/k3d-renderframe.1.xml" returned non-zero exit status 4
make[2]: *** [share/man/k3d-renderframe.1] error 1
make[1]: *** [share/man/CMakeFiles/k3d-renderframe.1.dir/all] error 2
make: *** [all] error 2

ForumImport
Offline
Last seen: 8 years 4 months ago
Joined: 09/22/2009 - 18:47
Dependencies K-3D 0.8.0.1

OK, even with this error, the make run-ngui/fast should still work. To circumvent the error, you can select in the cmake-gui to not build the documentation. I'm not sure why it's failing.

ForumImport
Offline
Last seen: 8 years 4 months ago
Joined: 09/22/2009 - 18:47
Dependencies K-3D 0.8.0.1

EDIT:
About asciidoc I found article, maybe can help
http://www.learnosity.com/techblog/index.cfm/HOWTO
I have some errors but this working,
Thanks for help. :-)

ForumImport
Offline
Last seen: 8 years 4 months ago
Joined: 09/22/2009 - 18:47
Dependencies K-3D 0.8.0.1

"To circumvent the error, you can select in the cmake-gui to not build the documentation."
I selected this ( doc and guide ).
" make run-ngui/fast " yes this working, but maybe I need build anew, because when I
" make install " I have:
" $ /usr/local/bin/k3d
/usr/local/bin/k3d: error while loading shared libraries: libk3dsdk.so.1: cannot open shared object file: No such file or directory "
But I have this file..., in next days I will try again build. I Write here if it will works.
" $ valgrind /usr/local/bin/k3d
==6070== Memcheck, a memory error detector
==6070== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
==6070== Using Valgrind-3.6.1 and LibVEX; rerun with -h for copyright info
==6070== Command: /usr/local/bin/k3d
==6070==
/usr/local/bin/k3d: error while loading shared libraries: libk3dsdk.so.1: cannot open shared object file: No such file or directory
==6070== Jump to the invalid address stated on the next line
==6070== at 0x2EA: ???
==6070== by 0x400D64E: _dl_map_object_deps (dl-deps.c:676)
==6070== by 0x4002A99: dl_main (rtld.c:1817)
==6070== by 0x4013ACB: _dl_sysdep_start (dl-sysdep.c:244)
==6070== by 0x40046DD: _dl_start (rtld.c:344)
==6070== by 0x4000806: ??? (in /lib/ld-2.13.so)
==6070== Address 0x2ea is not stack'd, malloc'd or (recently) free'd
==6070==
==6070==
==6070== Process terminating with default action of signal 11 (SIGSEGV)
==6070== Bad permissions for mapped region at address 0x2EA
==6070== at 0x2EA: ???
==6070== by 0x400D64E: _dl_map_object_deps (dl-deps.c:676)
==6070== by 0x4002A99: dl_main (rtld.c:1817)
==6070== by 0x4013ACB: _dl_sysdep_start (dl-sysdep.c:244)
==6070== by 0x40046DD: _dl_start (rtld.c:344)
==6070== by 0x4000806: ??? (in /lib/ld-2.13.so)
==6070==
==6070== HEAP SUMMARY:
==6070== in use at exit: 0 bytes in 0 blocks
==6070== total heap usage: 0 allocs, 0 frees, 0 bytes allocated
==6070==
==6070== All heap blocks were freed -- no leaks are possible
==6070==
==6070== For counts of detected and suppressed errors, rerun with: -v
==6070== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 0 from 0) "

ForumImport
Offline
Last seen: 8 years 4 months ago
Joined: 09/22/2009 - 18:47
Dependencies K-3D 0.8.0.1

( hmm, I can't edit post)
1 Problem is solved:
"a2x: ERROR: "xmllint" --nonet --noout --valid "/home/gg3/Downloads/k3d/k3d-build/share/man/man1/k3d-renderframe.1.xml" returned non-zero exit status 4 "
I needed to install " docbook-dtd45-xml "
I have next error:
" a2x: finding resources in: /home/gg3/Downloads/k3d/k3d-build/share/k3d/guide/chunked/guide.chunked/apbs46.html
a2x: ERROR: missing resource: /home/gg3/Downloads/k3d/k3d-build/share/k3d/guide/chunked/2318eb76-ed7b-4b40-ac6a-5876a287c349.png
make[2]: *** [share/k3d/guide/chunked/guide.chunked/index.html] Błąd 1
make[1]: *** [share/k3d/guide/CMakeFiles/docs-guide-ngui.dir/all] Błąd 2
make: *** [all] Błąd 2 "
Edit:
I installed ' pngnq ' , and this solved my 1 problem.

ForumImport
Offline
Last seen: 8 years 4 months ago
Joined: 09/22/2009 - 18:47
Dependencies K-3D 0.8.0.1

EDIT:
2 Problem is solved
" $ /usr/local/bin/k3d
/usr/local/bin/k3d: error while loading shared libraries: libk3dsdk.so.1: cannot open shared object file: No such file or directory "
http://www.k-3d.org/wiki/CMake_Build
" TIP: In case you get library errors after installing (usually running /usr/local/bin/k3d) you should add your /usr/local/lib path to the shared libraries path.
create or edit /etc/ld.so.conf.d/local.conf and add the /usr/local/lib path to it. Then run ldconfig with root privileges. "
This working ! :D

ForumImport
Offline
Last seen: 8 years 4 months ago
Joined: 09/22/2009 - 18:47
Dependencies K-3D 0.8.0.1

OK, good to hear that you got it working!
When compiling from source, I recommend running with "make run-ngui/fast" from the build directory, that avoids the hassle with the library paths.

Log in or register to post comments